aboutsummaryrefslogtreecommitdiff
path: root/src/pyicqt/pyicq.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/pyicqt/pyicq.rc')
-rwxr-xr-xsrc/pyicqt/pyicq.rc53
1 files changed, 53 insertions, 0 deletions
diff --git a/src/pyicqt/pyicq.rc b/src/pyicqt/pyicq.rc
new file mode 100755
index 0000000..5296160
--- /dev/null
+++ b/src/pyicqt/pyicq.rc
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+get_pid() {
+ [ -f /var/run/pyicqt.pid ] && echo `cat /var/run/pyicqt.pid`
+}
+
+case "$1" in
+ start)
+ stat_busy "Starting jabber ICQ transport daemon"
+
+ [ -f /var/run/pyicqt.pid ] && rm -f /var/run/pyicqt.pid
+ PID=`get_pid`
+ if [ -z "$PID" ]; then
+ cd /usr/lib/pyicqt && exec python2 ./PyICQt.py 1>/dev/null 2>/dev/null &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ add_daemon pyicqt
+ stat_done
+ fi
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping jabber ICQ transport daemon"
+ PID=`get_pid`
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ rm -f /var/run/pyicqt.pid &> /dev/null
+ rm_daemon pyicqt
+ stat_done
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0